PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerGetOptionsPrefix

Sets the prefix used for searching for all PetscViewer options in the database.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerGetOptionsPrefix(PetscViewer viewer,const char *prefix[])

Not Collective

### Input Parameter

| viewer | - the PetscViewer context

### Output Parameter

| prefix | - pointer to the prefix string used

### Notes

On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

PetscViewerAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages